## 心跳检查流程

| 次序 | 发送端 | 消息体                | 接收端 | 备注     |
|----|-----|--------------------|-----|--------|
| 0  | 车端  | 2008（CS_KeepAlive） | 服务端 | 发送存活状态 |

## 车端上线流程

| 次序  | 发送端 | 消息体                | 接收端 | 备注       |
|-----|-----|--------------------|-----|----------|
| 1   | 车端  | 2009（CS_Add）       | 服务端 | 车端上线     |
| 2-1 | 服务端 | 4007（SC_Add）       | 车端  | 返回上线结果   |
| 2-2 | 服务端 | 4016（SC_NotifyAdd） | 舱端  | 通知舱端车端下线 |
| 2-2 | 服务端 | 4017               | 舱端  | 通知舱端车端下线 |

## 舱端上线流程

| 次序 | 发送端 | 消息体            | 接收端 | 备注         |
|----|-----|----------------|-----|------------|
| 1  | 舱端  | 2000（CS_Sign）  | 服务端 | 舱端登录       |
| 2  | 服务端 | 4000（SC_Sign）  | 舱端  | 返回登录结果是否成功 |
| 3  | 舱端  | 2010（CS_Robot） | 服务端 | 请求全部车端信息   |
| 4  | 服务器 | 4008（SC_Robot） | 舱端  | 返回全部车端信息   |

## 视频通道建立流程

| 次序  | 发送端 | 消息体  | 接收端 | 备注            |
|-----|-----|------|-----|---------------|
| 1-1 | 舱端  | 2014 | 服务器 | 状态改变          |
| 1-2 | 服务器 | 4022 | 舱端  | 通知全部舱端状态改变    |
| 1-3 | 服务器 | 6011 | 车端  | 发送舱端用户uuid等信息 |
| 2-1 | 舱端  | 2001 | 服务端 | 请求视频          |
| 2-2 | 服务器 | 4009 | 车端  | 转发给车          |
| 2-3 | 车端  | 2002 | 服务器 | 响应视频请求        |
| 2-4 | 服务器 | 4010 | 舱端  | 转发给舱          |
| 2-5 | 舱端  | 2004 | 服务器 | 发送offer       |
| 2-6 | 服务器 | 4012 | 车端  | 转发offer       |
| 2-7 | 车端  | 2005 | 服务器 | 发送answer      |
| 2-8 | 服务器 | 4011 | 舱端  | 转发answer      |
| 3-1 | 舱端  | 2006 | 服务器 | 发送candidate   |
| 3-2 | 服务器 | 4013 | 车端  | 转发candidate   |
| 3-3 | 车端  | 2006 | 服务器 | 发送candidate   |
| 3-4 | 服务器 | 4013 | 舱端  | 转发candidate   |

## 视频通道断开流程

| 次序 | 发送端 | 消息体  | 接收端 | 备注         |
|----|-----|------|-----|------------|
| 1  | 舱端  | 2007 | 服务器 | 舱端断开按钮     |
| 1  | 服务器 | 4014 | 车端  | 通知指定车端     |
| 1  | 舱端  | 2014 | 服务器 | 状态改变       |
| 2  | 服务器 | 4022 | 舱端  | 通知全部舱端状态改变 |
   
   

   
   